Subject: [PATCH 0/4] misc. MSVC patches

From: Ramsay Jones <[email-masked]>
Date: Wed, 23 Jun 2010 20:36:17 +0100

Hi Junio,

I have been spring cleaning my branches and found these MSVC patches
down the back of the sofa. ;-)

Nothing very exciting, but I thought I would pass them on anyway.

The second patch may improve SHA1 performance slightly, but I have
not timed it.

I think some variant of the final patch has been seen on the list
before and was not applied; I don't remember much discussion, so
I don't recall if or why it was rejected...

Ramsay Jones (4):
  msvc: Fix some "expr evaluates to function" compiler warnings
  msvc: Select the "fast" definition of the {get,put}_be32() macros
  msvc: Fix some compiler warnings
  Makefile: Don't pass $(ALL_CFLAGS) to the linker

 Makefile          |   14 +++++++-------
 block-sha1/sha1.c |    9 +++++----
 builtin.h         |    4 ++--
 builtin/notes.c   |    2 +-
 notes.h           |    4 ++--
 5 files changed, 17 insertions(+), 16 deletions(-)

ATB,
Ramsay Jones